Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- exports.GitCommitExplorer-GitCommitExplorer
- exports.GitRepositoryExplorer-GitRepositoryExplorer
- exports.GitStatusExplorer-GitStatusExplorer
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.console.Console
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClass
- orion.metatype.PropertyType
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.SiteServicesExplorer
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- orion.widgets.OpenResourceDialog
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Class orion.fileClient.FileClient

The file client provides a convenience API for interacting with file services provided by plugins. This class handles authorization, and authentication-related error handling.
Defined in: </shared/eclipse/e4/orion/I201206221139/plugins/org.eclipse.orion.client.core/web/orion/fileClient.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.fileClient.FileClient() Creates a new file client.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| copyFile(sourceLocation, targetLocation, name) Copies a file or directory.
| createFile(parentLocation, fileName) Create a new file in a specified location.
| createFolder(parentLocation, folderName) Creates a folder.
| createProject(url, projectName, serverPath, create) Adds a project to a workspace.
| createWorkspace(name) Creates a new workspace with the given name.
| deleteFile(location) Deletes a file, directory, or project.
| fetchChildren(location) Obtains the children of a remote resource
| fileServiceName(location) Returns the name of the file service managing this location
| loadWorkspace(location, onLoad) Loads the workspace with the given id and sets it to be the current workspace for the IDE.
| loadWorkspaces() Loads all the user's workspaces.
| moveFile(sourceLocation, targetLocation, name) Moves a file or directory.
| read(location, isMetadata) Returns the contents or metadata of the file at the given location.
| remoteExport(sourceLocation, options) Exports file and directory contents to another server
| remoteImport(targetLocation, options) Imports file and directory contents from another server
| search(query, query) Performs a search with the given query.
| write(location, contents, args) Writes the contents or metadata of the file at the given location.

Class Detail
orion.fileClient.FileClient()
Creates a new file client.
Method Detail
copyFile(sourceLocation, targetLocation, name)
Copies a file or directory.

Parameters:
{String} sourceLocation
  The location of the file or directory to copy.
{String} targetLocation
  The location of the target folder.
{String} name Optional
  The name of the destination file or directory in the case of a rename

{Object} createFile(parentLocation, fileName)
Create a new file in a specified location. Returns a deferred that will provide The new file object when ready.

Parameters:
{String} parentLocation
  The location of the parent folder
{String} fileName
  The name of the file to create

Returns:
  {Object} A deferred that will provide the new file object

{Object} createFolder(parentLocation, folderName)
Creates a folder.

Parameters:
{String} parentLocation
  The location of the parent folder
{String} folderName
  The name of the folder to create

Returns:
  {Object} JSON representation of the created folder

createProject(url, projectName, serverPath, create)
Adds a project to a workspace.

Parameters:
{String} url
  The workspace location
{String} projectName
  the human-readable name of the project
{String} serverPath
  The optional path of the project on the server.
{Boolean} create
  If true, the project is created on the server file system if it doesn't already exist

createWorkspace(name)
Creates a new workspace with the given name. The resulting workspace is passed as a parameter to the provided onCreate function.

Parameters:
{String} name
  The name of the new workspace

deleteFile(location)
Deletes a file, directory, or project.

Parameters:
{String} location
  The location of the file or directory to delete.

fetchChildren(location)
Obtains the children of a remote resource

Parameters:
location
  The location of the item to obtain children for

Returns:
  A deferred that will provide the array of child objects when complete

fileServiceName(location)
Returns the name of the file service managing this location

Parameters:
location
  The location of the item

loadWorkspace(location, onLoad)
Loads the workspace with the given id and sets it to be the current workspace for the IDE. The workspace is created if none already exists.

Parameters:
{String} location
  the location of the workspace to load
{Function} onLoad
  the function to invoke when the workspace is loaded

loadWorkspaces()
Loads all the user's workspaces. Returns a deferred that will provide the loaded workspaces when ready.

moveFile(sourceLocation, targetLocation, name)
Moves a file or directory.

Parameters:
{String} sourceLocation
  The location of the file or directory to move.
{String} targetLocation
  The location of the target folder.
{String} name Optional
  The name of the destination file or directory in the case of a rename

read(location, isMetadata)
Returns the contents or metadata of the file at the given location.

Parameters:
{String} location
  The location of the file to get contents for
{Boolean} isMetadata Optional
  If defined and true, returns the file metadata, otherwise file contents are returned

Returns:
  A deferred that will be provided with the contents or metadata when available

remoteExport(sourceLocation, options)
Exports file and directory contents to another server

Parameters:
{String} sourceLocation
  The location of the folder to export from
{Object} options
  An object specifying the export parameters

Returns:
  A deferred for chaining events after the export completes

remoteImport(targetLocation, options)
Imports file and directory contents from another server

Parameters:
{String} targetLocation
  The location of the folder to import into
{Object} options
  An object specifying the import parameters

Returns:
  A deferred for chaining events after the import completes

search(query, query)
Performs a search with the given query.

Parameters:
{String} query
  The search query
query

write(location, contents, args)
Writes the contents or metadata of the file at the given location.

Parameters:
{String} location
  The location of the file to set contents for
{String|Object} contents
  The content string, or metadata object to write
{String|Object} args
  Additional arguments used during write operation (i.e. ETag)

Returns:
  A deferred for chaining events after the write completes with new metadata object

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Jun 22 2012 11:43:39 GMT-0400 (EDT)